/////////////////////////////////////////////
// ARGUS Copyright (C) 1999-2000 Martin Otten
// file : DemoFile.h
// info : class definition of CDemoFile
/////////////////////////////////////////////

#if !defined(DEMOFILE_H_INCLUDED)
#define DEMOFILE_H_INCLUDED

#include "types.h"
#include "packet.h"	
#include <stdio.h>	// fr die file sachen

class CDemoFile  
{
public:
	int GetSize();
		
	CDemoFile();
	
	FILE *	fHandle;			// das filehandel
	bool	fReadOnly;			// var merkt ob readonly
	DWORD	SequenceNumber;		// lies nchste seq Nr immer im vorraus im EOF zu erkennen

	// functionen
	bool Open(char * filename, bool ReadOnly);	// ffnet eine DM3 Datei
	void Close(void);			// schliesst eine DM3 Datei

	bool EndOfFile(void);			// testet ob datei zu ende
	bool ReadPacket(CPacket * packet);	// liest ein datenpaket
	bool WritePacket(CPacket * packet);	// liest ein datenpaket

	GotoFirstSeqenceNumber();
	GotoSequenceNumber();



};

#endif // !defined(DEMOFILE_H_INCLUDED)
