// OptGeneral.cpp : implementation file
//

#include "stdafx.h"
#include "Argus.h"
#include "OptGeneral.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptGeneral dialog


COptGeneral::COptGeneral(CWnd* pParent /*=NULL*/)
	: CDialog(COptGeneral::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptGeneral)
	m_Quake3Path = _T("");
	m_AddParams = _T("");
	m_RefreshMS = 0;
	m_OnPackets = -1;
	//}}AFX_DATA_INIT
}


void COptGeneral::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptGeneral)
	DDX_Control(pDX, IDC_REFRESHMS, m_RefreshMSCtrl);
	DDX_Text(pDX, IDC_QUAKE3PATH, m_Quake3Path);
	DDX_Text(pDX, IDC_ADDPARAMS, m_AddParams);
	DDX_Slider(pDX, IDC_REFRESHMS, m_RefreshMS);
	DDX_Radio(pDX, IDC_ONPACKET, m_OnPackets);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptGeneral, CDialog)
	//{{AFX_MSG_MAP(COptGeneral)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptGeneral message handlers

void COptGeneral::OnBrowse() 
{
	OPENFILENAME ofn;

	char filebuffer[1024];

	memset(filebuffer,0,sizeof(filebuffer));
	memset(&ofn,0,sizeof(ofn));

	ofn.lStructSize=sizeof(ofn); 
	ofn.lpstrFilter="Quake3.exe\0*.exe\0Batch file\0*.bat\0";

	ofn.lpstrFile=filebuffer;
	ofn.nMaxFile=sizeof(filebuffer);	// path und filename

	
	ofn.lpstrFileTitle=NULL;
	
	ofn.lpstrInitialDir=NULL; //current dir
    
	ofn.lpstrTitle = "Select QUAKE3.EXE";
	ofn.Flags= OFN_PATHMUSTEXIST | OFN_FILEMUSTEXIST | OFN_SHAREAWARE ;
	
 	if (GetOpenFileName(&ofn))
	{
		CString dummy=filebuffer;
		dummy.MakeLower();
		if (dummy.Replace("\\quake3.exe","\\"))
		{
			SetDlgItemText(IDC_QUAKE3PATH,dummy);
		}
		else
			MessageBox("You did not select the Quake3.exe File!","Error");

	}

}
