// OptionsDlg1.cpp : implementation file
//

#include "stdafx.h"
#include "Argus.h"
#include "OptionsDlg.h"
#include "options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionsDlg dialog


COptionsDlg::COptionsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COptionsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptionsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void COptionsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionsDlg)
	DDX_Control(pDX, IDC_HELPER, m_PosHelper);
	DDX_Control(pDX, IDC_OPTIONSTAB, m_Register);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptionsDlg, CDialog)
	//{{AFX_MSG_MAP(COptionsDlg)
	ON_NOTIFY(TCN_SELCHANGE, IDC_OPTIONSTAB, OnSelchangeOptionstab)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionsDlg message handlers

void COptionsDlg::OnOK() 
{
	// neue Options daten werden bernommen
	m_General.UpdateData(true);
		
	// opt_general
	strcpy(g_Options.AddParams,m_General.m_AddParams);
	strcpy(g_Options.Quake3Path,m_General.m_Quake3Path);

	if(m_General.m_OnPackets==0)
		g_Options.RefreshRate=0;
	else
		g_Options.RefreshRate=1000 / m_General.m_RefreshMS; // FPS -> msec
	

	// werte gleich in registry bernehmen
	OptionsSave();
		
	CDialog::OnOK();
}


BOOL COptionsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Register.InsertItem(0,"General");
	
	CRect rect,size;

	m_PosHelper.GetWindowRect(&rect);	// hilft mir immer die richte stelle zu treffen
	ScreenToClient(&rect);

	m_PosHelper.GetClientRect(&size);


	m_General.Create(IDD_OPTGENERAL,this);
	m_General.SetWindowPos(NULL,rect.left,rect.top,size.right,size.bottom,0);


	m_General.m_RefreshMSCtrl.SetRange(1,25,true);
	m_General.m_RefreshMSCtrl.SetTicFreq(5);

	
	// werte mit options belegen

	m_General.m_AddParams	= g_Options.AddParams;
	m_General.m_Quake3Path	= g_Options.Quake3Path;

	if (g_Options.RefreshRate!=0)
	{
		m_General.m_OnPackets = 1;
		m_General.m_RefreshMS = 1000 / g_Options.RefreshRate; // in FPS
	}
	else
	{
		m_General.m_OnPackets = 0;
		m_General.m_RefreshMS = 10; // default wert 10 FPS
	}

	m_General.UpdateData(false);
	
	m_General.ShowWindow(true);



	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void COptionsDlg::OnSelchangeOptionstab(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int tab=m_Register.GetCurSel();
	m_General.ShowWindow(tab==0);
	
	*pResult = 0;
}
