// threads.cpp
#include "threads.h"
#include "packet.h"
#include "CGame.h"
#include "console.h"
#include "options.h"
#include "demo.h"
#include "statistics.h"
#include "demofile.h"

UINT ThreadDemoFile(LPVOID pParm)
{
	int WaitTime=0;
	DWORD StartTime=0;
	DWORD NewSeqNr=1, LastGameStateSeqNr=0xFFFFFFF0;
	WORD restSize,sendBytes,fragmentSize ;
	char dummy[255];

	CPacket NewPacket;
	BYTE ClientPacket[SOCKET_BUFFER_SIZE];
	

	GameInit(0,0);	// spiel zurcksetzen;

	NewPacket.Clear();

	memset(&ClientPacket,0,sizeof(ClientPacket));

	// DM format :
	// | 4 Byte SequenceNumber | 4 Byte Lnge n | n Bytes Daten |

	// solange nicht am datei ende , kein neustart oder abbruch
	while(!g_DemoFileIn.EndOfFile() && !g_DataSourceRestart && g_DataSourceType)
	{
		// starte zeitmessung
		StartTime=GetTickCount();

		g_DemoFileIn.ReadPacket(&NewPacket);

		GameUpdate(&NewPacket);

		// falls nicht schnellvorspulen eingeschaltet ist warte 
		if (g_DataSourceSpeed>0)
		{

			// speed >= 1
			if (g_cgs.lastSnapshotTime)
				// wartezeit = zeitzwischen snapshots - arebitszeit
				WaitTime= (g_cgs.ServerTime-g_cgs.lastSnapshotTime)/g_DataSourceSpeed - GetTickCount() + StartTime;
			else
				WaitTime=50;	// standart 20 snaps diff time
				if (WaitTime>1)
				Sleep(WaitTime);
		}
		else 
			// solange pause gedrckt wurde, und kein neustart oder abruch, WARTE
			while (!g_DataSourceSpeed && !g_DataSourceRestart && g_DataSourceType)
				Sleep(50);
			
		
	}

	if (g_DataSourceRestart)
		ConsolePrint("Demo restart.");
	else if (g_DataSourceType==DS_NONE)
		ConsolePrint("Demo abort.");
	else
		ConsolePrint("Demo end.");

	g_DataSourceType=DS_NONE;	// source nicht mehr aktiv
	g_DemoFileIn.Close();	// schliesse demofile 
	g_DataSourceRestart=false;	// falls restart gefordert, setzen jetzt wieder zurck
	UpdateGUI();
	return 0;
};
