// ViewConsole.cpp : implementation file
//

#include "stdafx.h"
#include "argus.h"
#include "ViewConsole.h"
#include "console.h"
#include "cgame.h"
#include "threads.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewConsole dialog


CViewConsole::CViewConsole(CWnd* pParent /*=NULL*/)
	: CDialog(CViewConsole::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewConsole)
	m_Input = _T("");
	//}}AFX_DATA_INIT
	m_Pause=false;
}


void CViewConsole::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewConsole)
	DDX_Control(pDX, IDC_INPUT, m_InputCtrl);
	DDX_Control(pDX, IDC_CONSOLE, m_ConsoleCtrl);
	DDX_Text(pDX, IDC_INPUT, m_Input);
	//}}AFX_DATA_MAP
}

void CViewConsole::OnOK()
{
	char command[1024];

	SetDlgItemText(IDC_INPUT,"");
		
	
	
}

void CViewConsole::OnCancel()
{
	SetDlgItemText(IDC_INPUT,"");
	m_Input="";
}

BEGIN_MESSAGE_MAP(CViewConsole, CDialog)
	//{{AFX_MSG_MAP(CViewConsole)
	ON_BN_CLICKED(IDC_CLEAR, OnClear)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CViewConsole message handlers

void CViewConsole::UpdateView()
{
	CString Console;
	if (g_Console.DataUpdate)
	{
		SetDlgItemText(IDC_CONSOLE,g_Console.Buffer);	// consolen text setzen
		m_ConsoleCtrl.LineScroll(CONSOLE_BUFFER_SIZE);	// ans ende der console scrollen
		g_Console.DataUpdate=false;						// erfolgreiches Update anzeigen

	}
}

void CViewConsole::OnClear() 
{
	// TODO absturz bei clear/pause /mapview
	ConsoleClear();
	this->UpdateView();
}
