// ViewDebug.cpp : implementation file
//

#include "stdafx.h"
#include "Argus.h"
#include "ViewDebug.h"
#include "cgame.h"
#include "console.h"
#include "options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewDebug dialog


CViewDebug::CViewDebug(CWnd* pParent /*=NULL*/)
	: CDialog(CViewDebug::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewDebug)
	//}}AFX_DATA_INIT
	g_Options.DebugActive=TRUE;
	g_TextLogFile=fopen("log.txt","w");
	
}


void CViewDebug::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewDebug)
	DDX_Check(pDX, IDC_ENTITIES, g_Options.DebugShowEntities);
	DDX_Check(pDX, IDC_GAMESTATE, g_Options.DebugShowGamestate);
	DDX_Check(pDX, IDC_PLAYERSTATS, g_Options.DebugShowPlayerinfo);
	DDX_Check(pDX, IDC_PLAYERSTATUS, g_Options.DebugShowPlayerstatus);
	DDX_Check(pDX, IDC_SERVERCOMMANDS, g_Options.DebugShowServercommand);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewDebug, CDialog)
	//{{AFX_MSG_MAP(CViewDebug)
	ON_BN_CLICKED(IDC_PLAYSTOP, OnPlaystop)
	ON_BN_CLICKED(IDC_ENTITIES, OnApply)
	ON_BN_CLICKED(IDC_PLAYERSTATS, OnApply)
	ON_BN_CLICKED(IDC_SERVERCOMMANDS, OnApply)
	ON_BN_CLICKED(IDC_GAMESTATE, OnApply)
	ON_BN_CLICKED(IDC_PLAYERSTATUS, OnApply)


	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CViewDebug message handlers

CViewDebug::UpdateView()
{
	if (g_Options.DebugActive)
	{
		SetDlgItemText(IDC_DEBUGOUTPUT,g_DebugText);
		// todo fixme
		fprintf(g_TextLogFile,"%s",g_DebugText);
	}

}

void CViewDebug::OnApply() 
{
	// bertrage felder auch check boxen aus options werte
	UpdateData(true);
}

void CViewDebug::OnPlaystop() 
{
	if (g_Options.DebugActive)
	{
		g_Options.DebugActive=false;
		// m_Pause.SetWindowText("Resume");
		SetDlgItemText(IDC_PLAYSTOP,"Resume");
	}
	else
	{
		g_Options.DebugActive=true;
		SetDlgItemText(IDC_PLAYSTOP,"Pause");
		// m_Pause.SetWindowText("Pause");
	}

	
}


