// ViewStats.cpp : implementation file
//

#include "stdafx.h"
#include "argus.h"
#include "ViewStats.h"
#include "statistics.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewStats dialog


CViewStats::CViewStats(CWnd* pParent /*=NULL*/)
	: CDialog(CViewStats::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewStats)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CViewStats::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewStats)
	DDX_Control(pDX, IDC_EXPLORER1, m_HTML);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewStats, CDialog)
	//{{AFX_MSG_MAP(CViewStats)
	ON_BN_CLICKED(IDC_REFRESH, OnRefresh)
	ON_BN_CLICKED(IDC_SAVE,SaveAsHTML)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CViewStats message handlers

void CViewStats::UpdateView()
{
	char filename[1024];
	sprintf(filename,"%s\\stats\\temp.html",g_ArgusPath);
	StatisticCreateHTML(filename);
	m_HTML.Navigate(filename,0,NULL,0,0);
}

void CViewStats::OnRefresh() 
{
	UpdateView();
}

void CViewStats::SaveAsHTML()
{
	OPENFILENAME ofn;

	char filebuffer[1024];
	char dummy[1024];

	memset(filebuffer,0,sizeof(filebuffer));
	memset(&ofn,0,sizeof(ofn));

	ofn.lStructSize=sizeof(ofn); 
	ofn.lpstrFilter="Argus HTML Stats\0*.HTML\0";

	ofn.lpstrFile=filebuffer;
	ofn.nMaxFile=sizeof(filebuffer);	// path und filename

	sprintf(dummy,"%s\\stats",g_ArgusPath);
	ofn.lpstrInitialDir=dummy;
	
	ofn.lpstrTitle = "Save Statistic File";
	ofn.Flags= OFN_PATHMUSTEXIST | OFN_SHAREAWARE ;

	if (GetSaveFileName(&ofn))
	{
		StatisticCreateHTML(filebuffer);
	}
}
