// Demo.cpp: implementation of the CDemoFile class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "argus.h"
#include "Demo.h"
#include "packet.h"
#include "cgame.h"
#include "console.h"
#include "threads.h"
#include "demofile.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


CDemo::CDemo()
{

}

CDemo::~CDemo()
{

}

bool CDemo::SetFile(char * filename)
{
	strcpy(m_Filename,filename);
	return true;
}

bool CDemo::Stop()
{
	if (g_DataSourceType!=DS_NONE)
	{
		// Laufenden thread benarchitigen
		g_DataSourceRestart=true;
		g_DataSourceSpeed = 1;
		// warte bis der demo thread den restart akzipiert hat und sich beendet hat
		while(g_DataSourceRestart)
			Sleep(50);
	};

	return true;
}

bool CDemo::Start()
{

	g_DataSourceType = DS_DEMOFILE;
	g_DataSourceLast = DS_DEMOFILE;
	g_DataSourceSpeed = 1;	// normal abspielgeschwindigkeit
	g_DataSourceRestart = false;

	if (g_DemoFileIn.Open(m_Filename,true))	// als readonly ffnen
	{
		m_DemoFileThread = AfxBeginThread(ThreadDemoFile,g_CallingDialogHandle,THREAD_PRIORITY_HIGHEST);
		return true;
	}
	else
	{
		MessageBox(NULL,"Could not open demo file!","Error",MB_OK|MB_ICONERROR);
		return false;
	}
}

bool CDemo::Pause()
{
	return true;
}

bool CDemo::Init()
{
	return true;

}

// globale funktionen und variabeln
CDemoFile g_DemoFileIn;		// aus dieser datei wird das demo gelesen bei DS_DEMOFILE

