#if !defined(AFX_VIEWGRAPH_H__FD45ED09_F7F2_4558_BBD6_862EE302CF66__INCLUDED_)
#define AFX_VIEWGRAPH_H__FD45ED09_F7F2_4558_BBD6_862EE302CF66__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ViewGraph.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CViewGraph dialog

class CViewGraph : public CDialog
{
// Construction
public:
	int			m_PlayerIndexToNumber[129];	// welche Combo index entspricht Playernumber 129 = 128 spieler + NONE
	COLORREF	m_GraphColors[4];	// graph farben, fr jeden spieler eine
	HBITMAP		m_hBufferBmp;	// die Bufferbitmap
	

	HDC			m_hGraphDC;		// der DC fr den Graph
	HDC			m_hBufferDC;

	HWND		m_hGraphPos;	// handel des Graph windows
	RECT		m_GraphRect;	// eckpositionen des Graphs fr invalidateRect(...)

	PAINTSTRUCT m_ps;			// zeichestruktur fr BeginPaint

	HBRUSH		m_BlackBrush;	// ein schwarzer brush

	HPEN		m_GraphPens[8];				// Pens fr die graphen
	HPEN		m_BlackPen;		// ein schwarzer stift
	HPEN		m_GreenPen;		// ein grner stift
	HPEN		m_DarkGreenPen;		// ein dunkelgrner stift

	HFONT		m_SmallFont;	// ein kleiner Zeichensatz
										
	void UpdateView();
	CViewGraph(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CViewGraph)
	enum { IDD = IDD_GRAPH };
	CComboBox	m_Player4Ctrl;
	CComboBox	m_Player3Ctrl;
	CComboBox	m_Player2Ctrl;
	CComboBox	m_Player1Ctrl;
	int		m_Player1;
	int		m_Player2;
	int		m_Player3;
	int		m_Player4;
	int		m_ValueSource1;
	int		m_ValueSource2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewGraph)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CViewGraph)
	afx_msg void OnSelchangePlayerValues();
	afx_msg void OnSelchangeValueSource();
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWGRAPH_H__FD45ED09_F7F2_4558_BBD6_862EE302CF66__INCLUDED_)
