/////////////////////////////////////////////
// ARGUS Copyright (C) 1999-2000 Martin Otten
// file : common.h
// info : common used functions code
/////////////////////////////////////////////

#include "common.h"
#include "defines.h"
#include <string.h>

char * Info_ValueForKey( const char *s, const char *key )
{
	char	pkey[MAX_INFO_KEY];
	static	char value[2][MAX_INFO_VALUE];	// use two buffers so compares
											// work without stomping on each other
	static	int	valueindex = 0;
	char	*o;
	
	if ( !s || !key ) {
		return "";
	}

	// if ( strlen( s ) >= MAX_INFO_STRING ) ConsolePrint("Warning! Info_ValueForKey oversize.");

	valueindex ^= 1;
	if (*s == '\\')
		s++;
	while (1)
	{
		o = pkey;
		while (*s != '\\')
		{
			if (!*s)
				return "";
			*o++ = *s++;
		}
		*o = 0;
		s++;

		o = value[valueindex];

		while (*s != '\\' && *s)
		{
			*o++ = *s++;
		}
		*o = 0;

		if (!stricmp (key, pkey) )
			return value[valueindex];

		if (!*s)
			break;
		s++;
	}

	return "";
}