#include "console.h"
#include <memory.h>
#include <string.h>

// #include "cgame.h"

SConsole g_Console;	// die Konsole

void ConsoleInit()
{
	// Achtung setzt alles auf NULL
	memset(&g_Console,0,sizeof(g_Console));	

}

void ConsoleClear()
{
	memset(&g_Console,0,sizeof(g_Console));	
	g_Console.DataUpdate=true;	// sie wurde ja gelscht
	
}

void ConsolePrint(char * Text)
{
	
	int Length  = strlen(Text);
	
	if (!Text || !Length) return;		// falls Text=Null oder lnge=0 raus

	int actLine = g_Console.Line % CONSOLE_BUFFER_LINES; // berechne actuelle zeile im index
	int Pos		= g_Console.Index[actLine];	// hole aktuelle position im buffer
		
	// teste ob die zeile unter buffergrenze bleibt (+Null und linefeed)
	if ((Pos + Length + 3) >= CONSOLE_BUFFER_SIZE )
	{
		g_Console.Index[actLine]=0;
		Pos=0;
	}
	
	// einfach hinkopieren
	memcpy(&g_Console.Buffer[Pos],Text,Length);

	// fr windows gui noch das lineFeed setzen und die null 
	memcpy(&g_Console.Buffer[Pos+Length],"\x0D\x0A\0",3);

	// lnge des aktuellen Indexes merken fall die Zeilen mal einzel gelesen werden sollen
	g_Console.Length[actLine] = Length;

	// eine zeile weiter
	g_Console.Line++;	

	// folge zeile zeigt auf die nchste position, jetzt ne null
	g_Console.Index[g_Console.Line % CONSOLE_BUFFER_LINES] = Pos+Length+2;

	g_Console.DataUpdate=true;	// gendert wurde auch was

	// TODO hier zeile in Logfile schreiben
			
}

int ConsoleRead(int Line, char * Text)	// kopiert zeileninhalt von Zeile Line nach Text
{
	// line maskieren
	Line = Line % CONSOLE_BUFFER_LINES;	

	// Position im buffer holen
	int Pos = g_Console.Index[Line];

	// lnge der zeile holen, ohne null ohne LineFeed
	int Length = g_Console.Length[Line];

	// kopiere nur die Buchstaben
	memcpy(Text,&g_Console.Buffer[Pos],Length);

	// hnge die Null als terminierung dran
	Text[Length]=0;	//string terminieren

	return Length;

	
};

void ConsoleSave(char FileName)
{
	//TODO
}
