/////////////////////////////////////////////
// ARGUS Copyright (C) 1999-2000 Martin Otten
// file : console.h
// info : struct and function definiton for console
/////////////////////////////////////////////

#if !defined(CONSOLE_H_INCLUDED)
#define CONSOLE_H_INCLUDED

//#include "stdafx.h"
#include "defines.h"

struct SConsole
{
	bool	DataUpdate;						// falls eine neue Zeile hinzugekommen ist
	bool	LogData;						// falls daten in console.log mitgeschrieben werden
	char	Buffer[CONSOLE_BUFFER_SIZE];	// der Konsolen buffer
	int		Line;							// aktuelle Zeile
	int		Index[CONSOLE_BUFFER_LINES];	// anzalh der indexierten zeilen im buffer
	int		Length[CONSOLE_BUFFER_LINES];	// lnge der jeweiligen Zeile
};

extern SConsole g_Console;					// die globale console

void ConsoleInit();							// darf wirklich nur einmal augerufen werden
void ConsoleClear();						// Lscht alle eintrge
void ConsolePrint(char * Text);				// erzeugt neue Zeile 
void ConsoleSave(char * FileName);			// speichert konsoleninhalt
int  ConsoleRead(int Line, char * Text);	// kopiert zeileninhalt von Zeile Line nach Text, Lnge return


#endif

