// options.h
#ifndef OPTIONS_H_INCLUDED
#define OPTIONS_H_INCLUDED

#include "stdafx.h"

struct SOptions
{
	// gernerals
	bool	DebugLogFile;			// falls 1, werden die Debugdaten mitgeloggt
	int		RefreshRate;		// falls =0 bei jedem packet, sont gilt es als ms Zeit
	char	Quake3Path[MAX_OSPATH];		// path zu quake3 
	char	AddParams[1024];			// zustzlich startup parameter fr quake3.exe

	BOOL	DebugShowGamestate;	
	BOOL	DebugShowEntities;
	BOOL	DebugShowPlayerinfo;
	BOOL	DebugShowPlayerstatus;
	BOOL	DebugShowServercommand;
	BOOL	DebugShowSnapshot;
	BOOL	DebugShowClient;
	BOOL	DebugActive;				// falls debug view aktiviert

	BOOL	MapNames;			// zeige bei map spielernamen
	BOOL	MapItems;			// zeige bei map items
	BOOL	MapTeamColors;		// zeige bei map Team farbe anstatt individuelle
	BOOL	MapConsole;			// zeige bei map konsole
	BOOL	MapTimer;			// zeige bei map timer
	BOOL    MapTrace;			// zeige bei map trace spur

	int		GraphSamples;			// wie hufig daten fr den graph erhoben werden. 0=immer sonst sekunden

	
	
};


extern SOptions g_Options;	// Programmeinstellungen

void OptionsSave();			// speichert options in registry
void OptionsLoad();			// ld options auf regisrty
void OptionsDefault();		// stellt die standardeinstellungen her

#endif
